import { get, post } from "@/utils/fetch"

// 面试邀请模板列表
export const getInterInvTemplateListApi = async (parameters, type = "listPage") => {
  parameters.limit = 2_147_483_647
  const data = await post("/api/interview/invite/template/list", parameters)
  if (type !== "listPage") return data
  for (const item of data.list) {
    item.disabled = !item.disabled
  }
  return data
}

// 占位变量枚举
export const getInterInvTemplateFieldApi = parameters => get("/api/interview/invite/template/field", parameters)

// 添加面试邀请模板
export const addInterInvTemplateApi = parameters => post("/api/interview/invite/template/add", parameters)

// 禁用面试邀请模板
export const disableInterInvTemplateApi = parameters => post("/api/interview/invite/template/disable", parameters)

// 启用面试邀请模板
export const enableInterInvTemplateApi = parameters => post("/api/interview/invite/template/enable", parameters)

// 删除面试邀请模板
export const removeInterInvTemplateApi = parameters => post("/api/interview/invite/template/remove", parameters)

// 更新面试邀请模板
export const updateInterInvTemplateApi = parameters => post("/api/interview/invite/template/update", parameters)

// 详情面试邀请模板
export const detailInterInvTemplateApi = parameters => get("/api/interview/invite/template/detail", parameters)