import { get, post } from "@/utils/fetch"

// 添加邮箱
export const addEmailApi = parameters => post("/api/platform/add", parameters)

// 停用
export const disableEmailApi = parameters => post("/api/platform/disable", parameters)

// 启用
export const enableEmailApi = parameters => post("/api/platform/enable", parameters)

// 列表接口
export const getEmailListApi = parameters => post("/api/platform/list", parameters)

// 删除
export const removeEmailApi = parameters => post("/api/platform/remove", parameters)

// 更新
export const updateEmailApi = parameters => post("/api/platform/update", parameters)

// 获取详情
export const detailFieldApi = parameters => get("/api/platform/detail", parameters)
