import { Boot, IModuleConf } from '@wangeditor/editor';
import tagModule from "./tag";

const modules: Partial<IModuleConf>[] = [tagModule];

/**
 * @description 模块插件
 */
export default class Module {

  /**
   * @description 注册模块
   */
  public static registerModule():void {
    modules.forEach(module => Boot.registerModule(module));
  }
}
