import { DomEditor, IDomEditor, IModuleConf } from '@wangeditor/editor';
import withTag from "./plugin";
import renderElem from "./render-elem";
import parseElemHtml from "./parse-elem-html";
import elemToHtml from "./elem-to-html";


const tagModule: Partial<IModuleConf> = {
  editorPlugin: withTag,
  renderElems: [renderElem],
  elemsToHtml: [elemToHtml],
  parseElemsHtml: [parseElemHtml]
};
export default tagModule;
