export default [
  {
    path: "/set-list",
    name:"setList",
    component: () => import("@/views/set-list/index.vue"),
    redirect:"/set-list/standard-resume-setting",
    meta:{
      title:"招聘设置",
      businessCode:"recruit.manage"
    },
    children:[{
      path: "/set-list/register-template",
      name:"registerTemplate",
      component: () => import("@/views/register-template/index.vue"),
      meta:{
        navActivePath:"/set-list",
        businessCode:"recruit.manage"
      },
    }, {
      path: "/set-list/standard-resume-setting",
      name:"standardResumeSetting",
      component: () => import("@/views/standard-resume-setting/index.vue"),
      meta:{
        navActivePath:"/set-list",
        businessCode:"recruit.manage"
      },
    }, {
      path: "/set-list/talent-classify",
      name:"talentClassify",
      component: () => import("@/views/talent-classify/index.vue"),
      meta:{
        navActivePath:"/set-list",
        businessCode:"recruit.manage"
      },
    }, {
      path: "/set-list/offer-template",
      name:"offerTemplate",
      component: () => import("@/views/offer-template/index.vue"),
      meta:{
        navActivePath:"/set-list",
        businessCode:"recruit.manage"
      },
    }, {
      path: "/set-list/interview-invite-template",
      name:"interviewInviteTemplate",
      component: () => import("@/views/interview-invite-template/index.vue"),
      meta:{
        navActivePath:"/set-list",
        businessCode:"recruit.manage"
      },
    }]
  },
  {
    path: "/set-list/offer-template/add",
    name:"offerTemplateAdd",
    component: () => import("@/views/offer-template/add.vue"),
    meta:{
      businessCode:"recruit.manage"
    }
  },
  {
    path: "/set-list/interview-invite-template/add",
    name:"interviewInviteTemplateAdd",
    component: () => import("@/views/interview-invite-template/add.vue"),
    meta:{
      businessCode:"recruit.manage"
    }
  }
]
