const loadCss = (path) => {
  const head = document.querySelectorAll("head")[0]
  const link = document.createElement("link")
  link.id = "9999999"
  link.href = path
  link.rel = "stylesheet"
  link.type = "text/css"
  head.append(link)
}
export default function changeTheme(themeValue) {
  const path = process.env.NODE_ENV === "production" ? window.env.staticPath : ""
  const itemPath = `${path}/theme/${themeValue}/index.css?ver=${Date.now()}`
  loadCss(itemPath)
}

window.setTheme = function (type) {
  if (type === "red") {
    localStorage.setItem("__olading_theme__", "c81930")
  } else {
    localStorage.setItem("__olading_theme__", "4f71ff")
  }
  window.location.reload()
}

export function setTheme() {
  const theme = localStorage.getItem("__olading_theme__") || window.env.theme
  if (!theme) return
  changeTheme(theme)
  // const body = document.querySelectorAll("body")[0]
  // body.style.setProperty("--o-primary-color", `#${theme}`)
  // body.style.setProperty("--o-primary-color-hover", `${theme === "c81930" ? "#FCF2F2" : "#eef1ff"}`)
}