import { isUnlimitedInputValue } from "./rules"

export const unlimitedInputValueRule = () => {
  return {
    validator(rule, value, callback) {
      if (!isUnlimitedInputValue(value)) {
        callback(new Error("不能输入特殊字符"))
      } else {
        callback()
      }
    },
    trigger: "change",
  }
}
