/*
 * @Author: zhaoxm
 * @Date: 2022-02-24 17:03:13
 * @LastEditTime: 2022-10-26 12:38:58
 * @Description: 这个本地存储的依赖是自己写的，如有问题请联系zhaoxm
 * iweb-cache文档：https://www.npmjs.com/package/iweb-cache
 */

import iwebCache from "iweb-cache"

// 2.配置选项
const cache = iwebCache({
  // 主要避免通一个域下有两个前端项目，如果不设置前缀可能会冲突
  prefix: "app_zp",
  // 所有存储的数据默认过期时间, 单位毫秒
  // expires: 1000 * 5
})

export default cache
