import { get, post } from "@/utils/fetch"

// 地址 - 添加 - 胡文琦
export const addAddressApi = parameters => post("/api/address/add", parameters)

// 地址 - 详情 - 胡文琦
export const detailAddressApi = parameters => get("/api/address/detail", parameters)

// 地址 - 禁用 - 胡文琦
export const disableAddressApi = parameters => post(`/api/address/disable?id=${parameters.id}`)

// 地址 - 启用 - 胡文琦
export const enableAddressApi = parameters => post(`/api/address/enable?id=${parameters.id}`)

// 地址 - 列表(默认根据创建时间倒序) - 胡文琦
export const getAddressListApi = parameters => post("/api/address/list", parameters)

// 地址 - 删除 - 胡文琦
export const removeAddressApi = parameters => post(`/api/address/remove?id=${parameters.id}`)

// 地址 - 更新 - 胡文琦
export const updateAddressApi = parameters => post("/api/address/update", parameters)