import { get, post } from "@/utils/fetch"

// offer模板列表
export const getOfferTemplateListApi = async (parameters, type = "listPage") => {
  parameters.limit = 2_147_483_647
  const data = await post("/api/offer/template/list", parameters)
  if (type !== "listPage") return data
  for (const item of data.list) {
    item.disabled = !item.disabled
  }
  return data
}

// 占位变量枚举
export const getOfferTemplateFieldApi = parameters => get("/api/offer/template/field", parameters)

// 添加offer模板模板
export const addOfferTemplateApi = parameters => post("/api/offer/template/add", parameters)

// 禁用offer模板
export const disableOfferTemplateApi = parameters => post("/api/offer/template/disable", parameters)

// 启用offer邀请模板
export const enableOfferTemplateApi = parameters => post("/api/offer/template/enable", parameters)

// 删除offer模板
export const removeOfferTemplateApi = parameters => post("/api/offer/template/remove", parameters)

// 更新offer模板
export const updateOfferTemplateApi = parameters => post("/api/offer/template/update", parameters)

// 详情offer模板
export const detailOfferTemplateApi = parameters => get("/api/offer/template/detail", parameters)