import { get, post } from "@/utils/fetch"

// 人才库 - 添加分类
export const addTalentsBankClassifyManageApi = parameters => post("/api/talentsBank/classify/manage/add", parameters)

// 人才库 - 删除分类
export const delTalentsBankClassifyManageApi = parameters => post("/api/talentsBank/classify/manage/del", parameters)

// 人才库 - 获取分类树, 编辑使用
export const getTalentsBankClassifyManageTreeApi = parameters => get("/api/talentsBank/classify/manage/tree", parameters)

// 人才库 - 修改分类
export const updateTalentsBankClassifyManageApi = parameters => post("/api/talentsBank/classify/manage/update", parameters)

// 人才库 - 获取分类树, 根据人权限过滤
export const getTalentsBankClassifyApi = parameters => get("/api/talentsBank/classify/tree", parameters)

// 人才库 - 获取分类树, 根据人权限过滤 - 王鑫
export const getTalentsBankAuthClassifyApi = parameters => get("/api/talentsBank/classify/authTree", parameters)

// 人才库 - 将某简历添加到某人才库
export const moveTalentsBankResumeApi = parameters => post("/api/talentsBank/resume/move", parameters)