## app-tabs 标签页

基于 el-tabs 二次封装。

## 基本用法

```html
<app-tabs v-model="status" :options="payStatusOptions" />

<script>
  const options = [
    { label: "未支付", name: "1" },
    { label: "支付中", name: "2" },
  ]
  export default {
    data() {
      return {
        options
        status: "1",
      }
    }
  }
</script>
```

## Props

默认支持 el-table 所有属性及事件，详细请看 [el-table 文档](https://element.eleme.io/#/zh-CN/component/tabs)

| 参数    | 说明                      | 类型   | 可选值 | 默认值 |
| ------- | ------------------------- | ------ | ------ | ------ | --- |
| v-model | 绑定值，选中选项卡的 name | string | number | -      | -   |
| options | 选项                      | object | -      | -      |
