/*
 * @Date: 2022-03-02 22:35:56
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-04-15 14:43:01
 * @Description: 属性
 */

export default {
  // 是否显示上传按钮
  isUploadBtn: {
    type: Boolean,
    default: true,
  },
  // 限制的扩展名 , 字符串以逗号分割，例如 .png,.jpeg
  limitExtFileName: {
    type: String,
    default: "",
  },
  // 限制文件大小
  limitFileSize: {
    type: Number,
    // eslint-disable-next-line no-magic-numbers
    default: 1024 * 1024 * 500,
  },
  // 限制上传个数
  limit: {
    type: Number,
    default: 3,
  },
}
