export const genderOptions = [
  {
    "value": "1",
    "label": "男",
  },
  {
    "value": "2",
    "label": "女",
  },
  {
    "value": "3",
    "label": "其他",
  }
]

export const interviewTypeOptions = [
  {
    label: "现场面试",
    value: "3"
  }, {
    label: "电话面试",
    value: "1"
  },
  {
    label: "视频面试",
    value: "2"
  }
]

export const interviewResultOptions = [
  {
    label: "面试通过",
    value: "1"
  },
  {
    label: "面试未通过",
    value: "2"
  }
]

export const durationTimeOptions = [
  {
    "value": 15,
    "label": "15分钟",
  },
  {
    "value": 30,
    "label": "30分钟",
  },
  {
    "value": 60,
    "label": "60分钟",
  },
  {
    "value": 90,
    "label": "90分钟",
  },
  {
    "value": 120,
    "label": "120分钟",
  },
]
// 离在职情况,可用值:1:在职,2:离职,3:观望,4:正在找工作,0:未知
export const currentJobStatusOptions = [
  {
    "value": "1",
    "label": "在职",
  },
  {
    "value": "2",
    "label": "离职",
  },
  {
    "value": "3",
    "label": "观望",
  },
  {
    "value": "4",
    "label": "正在找工作",
  },
  {
    "value": "0",
    "label": "未知",
  }
]

export const educationRecordOptions = [
  {
    "value": "1",
    "label": "小学",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "2",
    "label": "初中",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "3",
    "label": "中专",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "4",
    "label": "中职",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "5",
    "label": "中技",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "6",
    "label": "高中",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "7",
    "label": "大专",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "8",
    "label": "本科",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "9",
    "label": "硕士",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "10",
    "label": "博士",
    "deleted": false,
    "disabled": false
  },
  {
    "value": "11",
    "label": "其他",
    "deleted": false,
    "disabled": false
  }
]

// 候选人管理各个阶段对应的筛选状态
export const STAGE_TYPE_STATUS_OPTION = {
  1: {
    name: "简历初筛",
    list: []
  },
  2: {
    name: "复筛状态",
    list: [{
      label: "待评估",
      value: 1
    },
    // {
    //   label:"评估通过",
    //   value:2
    // },
    {
      label: "评估不通过",
      value: 3
    }]
  },
  3: {
    name: "面试状态",
    list: [{
      label: "面试待发起",
      value: 4
    },
    {
      label: "面试待接受",
      value: 5
    },
    {
      label: "面试已接受",
      value: 6
    },
    {
      label: "面试已拒绝",
      value: 7
    },
    {
      label: "面试合格",
      value: 8
    },
    {
      label: "面试不合格",
      value: 9
    }]
  },
  4: {
    name: "录用审批状态",
    list: [
      {
        label: "待发起审批",
        value: 10
      },
      {
        label: "审批中",
        value: 11
      },
      // {
      //   label:"审批通过",
      //   value:12
      // },
      {
        label: "审批未通过",
        value: 13
      }]
  },
  5: {
    name: "offer状态",
    list: [{
      label: "offer待发放",
      value: 14
    },
    {
      label: "offer待接受",
      value: 15
    },
    {
      label: "offer已接受",
      value: 16
    },
    {
      label: "offer已拒绝",
      value: 17
    }]
  },
  6: {
    name: "待入职状态",
    list: [],
    // list:[{
    //   label:"待入职",
    //   value:18
    // },
    // {
    //   label:"已入职",
    //   value:19
    // }]
  }
}
