/* eslint-disable no-magic-numbers */
/*
 * @Date: 2022-04-07 18:44:59
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-11-01 15:00:56
 * @Description: 判断是否为 标准版 ， 如果不是标准版 删除dom
 */

import Vue from "vue"
import { isStandardVersion } from "@/utils"

Vue.directive("increment", {
  bind(element, { value : bindValue }) {
    const [code, level ] = bindValue.split("=")
    if (!isStandardVersion(code, Number(level))) {
      setTimeout(() => element.remove())
    }
  },
})
