export default [
  {
    path: "/platform-management",
    name:"platformManagement",
    component: () => import("@/views/platform-management/index.vue"),
    redirect:"/platform-management/resume-email",
    meta:{
      title:"渠道管理",
      businessCode:"recruit.manage.platform"
    },
    children:[{
      path: "/platform-management/resume-email",
      name:"resumeEmail",
      component: () => import("@/views/resume-email/index.vue"),
      meta:{
        navActivePath:"/platform-management",
        businessCode:"recruit.manage.platform"
      },
    }, {
      path: "/platform-management/recruitment-channel",
      name:"recruitmentChannel",
      component: () => import("@/views/recruitment-channel/index.vue"),
      meta:{
        navActivePath:"/platform-management",
        businessCode:"recruit.manage.platform"
      },
    }]
  }
]
